<?php
return [
    'ctrl'      => [
        'title'                            => 'Obj1Obj2',
        'label'                            => 'uid',
        'tstamp'                           => 'tstamp',
        'crdate'                           => 'crdate',
        'cruser_id'                        => 'cruser_id',
        'hideTable'                        => true,
        'delete'                           => 'deleted',
        'versioningWS'                     => true,
        'languageField'                    => 'sys_language_uid',
        'transOrigPointerField'            => 'l10n_parent',
        'transOrigDiffSourceField'         => 'l10n_diffsource',
        'rootLevel'                        => -1,
        // records can and should be edited in workspaces
        'shadowColumnsForMovePlaceholders' => 'obj1,obj2,description',
        'enablecolumns'                    => [
            'disabled' => 'hidden',
        ],
        'security'                         => [
            'ignoreWebMountRestriction'  => true,
            'ignoreRootLevelRestriction' => true,
        ],
        'searchFields'                     => 'obj1,obj2,description',
        'iconfile'                         => 'EXT:sample/Resources/Public/Icons/relation.gif',
    ],
    'interface' => [
        'showRecordFieldList' => 'hidden,obj1,obj2,description',
    ],
    'columns'   => [
        't3ver_label'            => [
            'label'  => 'LLL:EXT:lang/Resources/Private/Language/locallang_general.xlf:LGL.versionLabel',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'max'  => 30,
            ],
        ],
        'sys_language_uid'       => [
            'label'  => 'LLL:EXT:lang/Resources/Private/Language/locallang_general.xlf:LGL.language',
            'config' => [
                'type'                => 'select',
                'renderType'          => 'selectSingle',
                'foreign_table'       => 'sys_language',
                'foreign_table_where' => 'ORDER BY sys_language.title',
                'items'               => [
                    ['LLL:EXT:lang/Resources/Private/Language/locallang_general.xlf:LGL.allLanguages', -1],
                    ['LLL:EXT:lang/Resources/Private/Language/locallang_general.xlf:LGL.default_value', 0],
                ],
                'default'             => 0,
                'fieldWizard'         => [
                    'selectIcons' => [
                        'disabled' => false,
                    ],
                ],
            ],
        ],
        'l10n_parent'            => [
            'displayCond' => 'FIELD:sys_language_uid:>:0',
            'label'       => 'LLL:EXT:lang/Resources/Private/Language/locallang_general.xlf:LGL.l18n_parent',
            'config'      => [
                'type'                => 'select',
                'renderType'          => 'selectSingle',
                'items'               => [
                    ['', 0],
                ],
                'foreign_table'       => 'tx_sample_obj1_obj2',
                'foreign_table_where' => 'AND tx_sample_obj1_obj2.uid=###REC_FIELD_l10n_parent### AND tx_sample_obj1_obj2.sys_language_uid IN (-1,0)',
                'default'             => 0,
            ],
        ],
        'l10n_diffsource'        => [
            'config' => [
                'type'    => 'passthrough',
                'default' => '',
            ],
        ],
        'hidden'                 => [
            'label'  => 'LLL:EXT:lang/Resources/Private/Language/locallang_general.xlf:LGL.hidden',
            'config' => [
                'type'    => 'check',
                'default' => 0,
            ],
        ],
        'obj1'             => [
            'label'  => 'Obj1',
            'config' => [
                'type'          => 'group',
                'internal_type' => 'db',
                'size'          => 1,
                'eval'          => 'int',
                'maxitems'      => 1,
                'minitems'      => 0,
                'allowed'       => 'tx_sample_domain_model_obj1',
                'hideSuggest'   => true,
            ],
        ],
        'obj2'         => [
            'label'  => 'Obj2',
            'config' => [
                'type'          => 'group',
                'internal_type' => 'db',
                'size'          => 1,
                'eval'          => 'int',
                'maxitems'      => 1,
                'minitems'      => 0,
                'allowed'       => 'tx_sample_domain_model_obj2',
                'hideSuggest'   => true,
            ],
        ],
        'description'            => [
            'l10n_mode' => 'prefixLangTitle',
            'exclude'   => true,
            'label'     => 'Description',
            'config'    => [
                'type'           => 'text',
                'cols'           => 20,
                'rows'           => 5,
                'eval'           => 'null',
                'placeholder'    => '__row|obj1|description',
                'mode'           => 'useOrOverridePlaceholder',
                'default'        => null,
            ],
        ],
    ],
    'types'     => [
        '0' => [
            'showitem' => '
				--palette--;basicOverlayPalette;basicOverlayPalette,
				--palette--;;recordPalette',
        ],
    ],
    'palettes'  => [
        // Used for basic overlays: having a filelist etc
        'basicOverlayPalette' => [
            'showitem' => 'description',
        ],
        'recordPalette'       => [
            'showitem'        => 'hidden, obj1, obj2, sys_language_uid, l10n_parent',
            'isHiddenPalette' => true,
        ],
    ],
];
